<?php

/**

  Zend Framework
 *
  LICENSE
 *
  This source file is subject to the new BSD license that is bundled
  with this package in the file LICENSE.txt.
  It is also available through the world-wide-web at this URL:
  http://framework.zend.com/license/new-bsd
  If you did not receive a copy of the license and are unable to
  obtain it through the world-wide-web, please send an email
  to license@zend.com so we can send you a copy immediately.
 *
  @category Zend
  @package Zend_Filter
  @copyright Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
  @license http://framework.zend.com/license/new-bsd New BSD License
  @version $Id: $
 */
/**

  @see Zend_Filter_Interface
 */
require_once 'Zend/Filter/Interface.php';

/**

  @category Zend
  @package Zend_Filter
  @copyright Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
  @license http://framework.zend.com/license/new-bsd New BSD License
 */
class Zend_Filter_StripSlashes implements Zend_Filter_Interface
{

    /**

      Defined by Zend_Filter_Interface
     *
      Returns $value without newline control characters
     *
      @param string $value
      @return string
     */
    public function filter($value)
    {
        return stripslashes($value);
    }

}