<?php
#201407251651 #4614 :Need replacement of Text editor in admine
class Zend_View_Helper_SetupEditor
{
  
    function setupEditor( $textareaId =NULL ,$str='DEFAULT') 
    {
        
        $retStr = "<script type=\"text/javascript\">";
        if($textareaId)
        {
            
            $retStr .= "                
                       if( typeof(setJQEditor) === 'function')
                       {
                            var JQEditorHelperIds=['$textareaId'];
                            setJQEditor(JQEditorHelperIds,'$str');
                       }
                      ";
        }
        else
        {
            $retStr .= "
                
                        var JQEditorHelperIds = [];
                        
                         if(JQEditorsDom && JQEditorsDom.length > 0)
                         {
                            var JQEditorHelperIds=JQEditorsDom;
                         }
                         setJQEditor(JQEditorHelperIds,'SIMPLE');
                   ";   
        }
        
        
        return $retStr."</script>";
    }
    
 
    function intiateEditorProperty()
    {
        
        return "
            var JQEditorsDom =[];
            
            
            var configSett = [
            ['Source', '-', 'NewPage','-','Undo','Redo','Preview'],
            ['Find','Replace','-','SelectAll','RemoveFormat'],
            ['Link', 'Unlink', 'Image','FontSize'],
            '/',
            ['Bold', 'Italic','Underline'],
            ['NumberedList','BulletedList','-','JustifyLeft','JustifyCenter','JustifyRight','Blockquote'],
            ['TextColor','BGColor', '-','SpecialChar', '-', 'Maximize']
            ];
            
            function setJQEditor(JQEditorHelperIds,type)
            {
                if(JQEditorHelperIds.length>0)
                {
                    if(type=='DEFAULT')
                    {
                        for(var i=0; i< JQEditorHelperIds.length; i++)
                        {
                            var editorId ='#'+JQEditorHelperIds[i];

                            if( $(editorId).length>0)
                            {
                                CKEDITOR.replace( JQEditorHelperIds[i] );
                            }
                        }
                    }
                    else if(type=='SHORT')
                    {
                        for(var i=0; i< JQEditorHelperIds.length; i++)
                        {
                            var editorId ='#'+JQEditorHelperIds[i];

                            if( $(editorId).length>0)
                            {
                                CKEDITOR.replace( JQEditorHelperIds[i],
                                 {toolbar :configSett}
                                );
                            }
                        }
                    }
                    else if(type=='SIMPLE')
                    {
                        for(var i=0; i< JQEditorHelperIds.length; i++)
                        {
                            var editorId ='#'+JQEditorHelperIds[i];

                            if( $(editorId).length>0)
                            {
                               CKEDITOR.replace( JQEditorHelperIds[i],
                                {
                                    //extraPlugins : 'bbcode',
                                    toolbar :configSett
                                });
                                CKEDITOR.config.enterMode = CKEDITOR.ENTER_BR;   
                                CKEDITOR.config.protectedSource.push( /\[\[[\s\S]*?\]\]/g );   // [[tag]] code
                               // CKEDITOR.config.protectedSource.push( /\{\{[\s\S]*?\}\}/g );   // {{tag}} code        


                                CKEDITOR.on( 'instanceReady', function( ev )
                                { 
                                    var writer = ev.editor.dataProcessor.writer;             
                                    writer.indentationChars = ' ';
                                    var dtd = CKEDITOR.dtd;            
                                    for ( var e in CKEDITOR.tools.extend( {}, dtd.\$block, dtd.\$listItem, dtd.\$tableContent ) )
                                    {
                                        ev.editor.dataProcessor.writer.setRules( e,
                                        {
                                        indent : true,
                                        breakBeforeOpen : true,
                                        breakAfterOpen : true,
                                        breakBeforeClose : true,
                                        breakAfterClose : true
                                        });
                                    }            
                                });
                            }
                        }
                    }
                }    
            }
            ";
    }
   
    
}
?>
